%define aurox_ver 9.4
%define rel 1

Summary: Support for Slovak interface in Mozilla
Name: mozilla-i18n-Slovak
Version: 1.6
Release: %{aurox_ver}.aur.%{rel}
License: MPL 1.1/GPL 2.0/LGPL 2.1
URL: http://www.mozilla.sk/l10n/
Source: http://ftp.mozilla.org/pub/mozilla/l10n/lang/moz%{version}/langsksk.xpi
Group: Applications/Internet
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: mozilla >= %{version}
BuildPreReq: unzip

%description
Slovak translation of the Mozilla interface

%prep
%setup -q -T -c -n %{name}-%{version}
unzip %{SOURCE0}

%build
mylocale=sk-SK
mylang=sk
grep 'registerChrome(' install.js | grep -v '^//' | grep -v platform | grep -v mapi | awk '{print $5}' | sed 's/"//g;s#/);##g' | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/sk-SK.jar!/locale/sk-SK/",$1,"/"}' | grep -v '//$' > lang-$mylocale.jar.txt
grep 'registerChrome(' install.js | grep -v '^//' | grep platform | awk '{print $5}' | sed 's/"//g;s#/);##g' | sort --unique | awk 'BEGIN {OFS=""} {print "locale,install,url,jar:resource:/chrome/sk-unix.jar!/locale/sk-SK/",$1,"/"}' | grep -v '//$' > lang-$mylang-unix.jar.txt

%install
rm -rf $RPM_BUILD_ROOT
# add new locale
mylocale=sk-SK
mylang=sk
install -d $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang
# Slovak uses bin/chrome dir for everything:
cp -f bin/chrome/$mylocale.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylocale.jar
cp -f bin/chrome/$mylang-unix.jar $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/$mylang-unix.jar
cp -f lang-$mylocale.jar.txt lang-$mylang-unix.jar.txt $RPM_BUILD_ROOT/usr/lib/mozilla-%{version}/chrome/lang

%clean
rm -rf $RPM_BUILD_ROOT

%post
# run ldconfig before regxpcom
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%postun
/sbin/ldconfig >/dev/null 2>/dev/null
if [ -f /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl ]; then
    /usr/lib/mozilla-%{version}/mozilla-rebuild-databases.pl
fi

%files
%defattr(-,root,root)
/usr/lib/mozilla-%{version}/chrome/*.jar
/usr/lib/mozilla-%{version}/chrome/lang/*.txt

%changelog
* Mon Apr 26 2004 Aurox Team <aurox@aurox.org> 0:1.6-9.4.aur.1
- fix installation
- initial import

